Page MenuHomePhabricator

Release MediaWiki 1.27.5/1.29.3/1.30.1/1.31.1
Closed, ResolvedPublic

Description

Previous release work: T180272

Tracking for activities actually pertaining to making the release of MediaWiki 1.27.5/1.29.3/1.30.1/1.31.1

Related Objects

Event Timeline

Reedy created this task.Jul 7 2018, 4:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2018, 4:49 PM
Reedy added a comment.Jul 7 2018, 5:11 PM

Should probably decide if we're going to try and use the ideas in T196602: Streamline MW security release process

Legoktm triaged this task as High priority.Aug 29 2018, 12:55 AM
Legoktm added a subscriber: Legoktm.

Status update:

  • T169545 - deployed, backports in phab by Reedy
  • T167937 - CR -1, needs a new patch.
  • T187638 - patches merged to all branches in Gerrit
  • T194605 - deployed, needs backports
  • T194237 - patches merged to all branches in Gerrit
  • T196386 - patch deployed/merged in Gerrit only for CentralAuth, still needs a patch for AntiSpoof itself. (extension isn't bundled though)
Reedy claimed this task.Sep 15 2018, 2:39 AM

Ok, let's get this done next week as @Legoktm has pretty much finished the prep work off

Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".Sep 20 2018, 9:35 PM